diff -pruN 0.75/debian/changelog 0.77/debian/changelog
--- 0.75/debian/changelog	2020-07-09 04:13:05.000000000 +0000
+++ 0.77/debian/changelog	2020-09-08 04:17:47.000000000 +0000
@@ -1,3 +1,23 @@
+javatools (0.77) unstable; urgency=medium
+
+  * More consistent indentation jh_depends
+  * Uploading to unstable after rebuilding all build r-deps.
+
+ -- tony mancill <tmancill@debian.org>  Mon, 07 Sep 2020 21:17:47 -0700
+
+javatools (0.76) experimental; urgency=medium
+
+  * Uploading to experimental because options have been removed
+  * Remove short -o option for --javacopts from jh_build (Closes: #951573)
+  * Remove short -o option for --javaopts from jh_manifest
+  * Fix jh_depends "-j headless" having no effect (Closes: #935244)
+  * Update dh_link example in tutorial (Closes: #935849)
+  * Use debhelper-compat 13
+  * Add myself to Uploaders
+  * Note: merging master into experimental introduced whitespace changes
+
+ -- tony mancill <tmancill@debian.org>  Sun, 06 Sep 2020 10:57:45 -0700
+
 javatools (0.75) unstable; urgency=medium
 
   * Team upload.
diff -pruN 0.75/debian/control 0.77/debian/control
--- 0.75/debian/control	2020-07-09 04:13:05.000000000 +0000
+++ 0.77/debian/control	2020-09-08 04:17:47.000000000 +0000
@@ -2,9 +2,10 @@ Source: javatools
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Emmanuel Bourg <ebourg@apache.org>
+Uploaders: Emmanuel Bourg <ebourg@apache.org>,
+ tony mancill <tmancill@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  default-jdk,
  libarchive-zip-perl (>= 1.30-6~),
  libtest-minimumversion-perl,
@@ -19,7 +20,11 @@ Vcs-Browser: https://salsa.debian.org/ja
 
 Package: jarwrapper
 Architecture: all
-Depends: binfmt-support, fastjar, ${misc:Depends}, ${perl:Depends}
+Depends:
+ binfmt-support,
+ fastjar,
+ ${misc:Depends},
+ ${perl:Depends}
 Description: Run executable Java .jar files
  Jarwrapper sets up binfmt-misc to run executable jar files
  using the installed java runtime.
diff -pruN 0.75/debian/copyright 0.77/debian/copyright
--- 0.75/debian/copyright	2020-07-09 04:13:05.000000000 +0000
+++ 0.77/debian/copyright	2020-09-08 04:17:47.000000000 +0000
@@ -21,21 +21,22 @@ License:
 
 License:
 
+License: Fedora-License
  The file was downloaded from Fedora's CVS repository; all committers
  are required to sign a license agreement with Fedora, which puts
  contributions without a license under the license included below.
-
+ .
  At the time Debian acquired these files, the "default" Fedora license
  was:
-
+ .
  The Fedora Project Individual Contributor License Agreement
-
+ .
  The Fedora Project
-
+ .
  Individual Contributor License Agreement (CLA)
-
+ .
  http://fedoraproject.org/wiki/Legal/Licenses/CLA
-
+ .
  Thank you for your interest in The Fedora Project (the "Project"). In
  order to clarify the intellectual property license granted with
  Contributions from any person or entity, Red Hat, Inc. ("Red Hat"),
@@ -45,12 +46,12 @@ License:
  Your protection as a Contributor as well as the protection of the
  Project and its users; it does not change your rights to use your own
  Contributions for any other purpose.
-
+ .
  You and the Project hereby accept and agree to the following terms
  and conditions:
-
+ .
  * 1. Contributors and Contributions.
-
+ .
    * A. The Project and any individual or legal entity that
      voluntarily submits to the Project a Contribution are
      collectively addressed herein as "Contributors". For legal
@@ -62,14 +63,14 @@ License:
      entity, whether by contract or otherwise, or (ii) ownership of
      fifty percent (50%) or more of the outstanding shares, or (iii)
      beneficial ownership of such entity.
-
+ .
    * B. A "Contribution" is any original work, including any
      modification or addition to an existing work, that has been
      submitted for inclusion in, or documentation of, any of the
      products owned or managed by the Project, where such work
      originates from that particular Contributor or from some entity
      acting on behalf of that Contributor.
-
+ .
    * C. A Contribution is "submitted" when any form of electronic,
      verbal, or written communication is sent to the Project,
      including but not limited to communication on electronic mailing
@@ -79,22 +80,22 @@ License:
      Project, but excluding communication that is conspicuously marked
      or otherwise designated in writing by you as "Not a
      Contribution."
-
+ .
    * D. Any Contribution submitted by you to the Project shall be
      under the terms and conditions of this License, without any
      additional terms or conditions, unless you explicitly state
      otherwise in the submission.
-
+ .
  * 2. Contributor Grant of License. You hereby grant to Red Hat, Inc.,
    on behalf of the Project, and to recipients of software distributed
    by the Project:
-
+ .
    * (a) a perpetual, non-exclusive, worldwide, fully paid-up, royalty
      free, irrevocable copyright license to reproduce, prepare
      derivative works of, publicly display, publicly perform,
      sublicense, and distribute your Contribution and such derivative
      works; and,
-
+ .
    * (b) a perpetual, non-exclusive, worldwide, fully paid-up, royalty
      free, irrevocable (subject to Section 3) patent license to make,
      have made, use, offer to sell, sell, import, and otherwise
@@ -105,14 +106,14 @@ License:
      submitted the Contribution.  Except for the license granted in
      this section, you reserve all right, title and interest in and to
      your Contributions.
-
+ .
  * 3. Reciprocity. As of the date any such litigation is filed, your
    patent grant shall immediately terminate with respect to any party
    that institutes patent litigation against you (including a
    cross-claim or counterclaim in a lawsuit) alleging that your
    Contribution, or the work to which you have contributed,
    constitutes direct or contributory patent infringement.
-
+ .
  * 4. You represent that you are legally entitled to grant the above
    license. If your employer(s) has rights to intellectual property
    that you create that includes your Contributions, you represent
@@ -120,7 +121,7 @@ License:
    of that employer, that your employer has waived such rights for
    your Contributions to the Project, or that your employer has
    executed a separate Corporate CLA with the Project.
-
+ .
  * 5. You represent that each of your Contributions is your original
    creation (see section 7 for submissions on behalf of others). You
    represent that your Contribution submission(s) include complete
@@ -128,7 +129,7 @@ License:
    but not limited to, related copyright, patents and trademarks) of
    which you are personally aware and which are associated with any
    part of your Contribution.
-
+ .
  * 6. You are not expected to provide support for your Contributions,
    except to the extent you desire to provide support. You may provide
    support for free, for a fee, or not at all. Your Contributions are
@@ -136,7 +137,7 @@ License:
    ANY KIND, either express or implied, including, without limitation,
    any warranties or conditions of NON-INFRINGEMENT, MERCHANTABILITY,
    or FITNESS FOR A PARTICULAR PURPOSE.
-
+ .
  * 7. Should you wish to submit work that is not your original
    creation, you may submit it to the Project separately from any
    Contribution, identifying the complete details of its source and of
@@ -144,17 +145,27 @@ License:
    related patents, trademarks, and license agreements) of which you
    are personally aware, and conspicuously marking the work as
    "Submitted on behalf of a third-party: [named here] ".
-
+ .
  * 8. You agree to notify the Project of any facts or circumstances of
    which you become aware that would make these representations
    inaccurate in any respect.
-
+ .
  * 9. The Project is under no obligations to accept and include every
    contribution..
 
-fetch-eclipse-source.pod was written by Niels Thykier and may be distributed,
-used and modified under the same terms as fetch-eclipse-source.pod or GPL
-version 2.
-
-On Debian systems, the complete text of the GNU General Public License can be
-found in `/usr/share/common-licenses/GPL-2'.
+License: GPL-2
+ This package is free software; you can redistribute it and/or modify it
+ under the terms of the GNU General Public License version 2 as published by
+ the Free Software Foundation
+ .
+ This package is distributed in the hope that it will be useful, but WITHOUT
+ ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+ FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
+ more details.
+ .
+ You should have received a copy of the GNU General Public License along
+ with this package; if not, write to the Free Software Foundation, Inc., 51
+ Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+ .
+ On Debian systems, the complete text of the GNU General Public License can be
+ found in `/usr/share/common-licenses/GPL-2'.
diff -pruN 0.75/jardetector 0.77/jardetector
--- 0.75/jardetector	2020-07-09 04:13:05.000000000 +0000
+++ 0.77/jardetector	2020-09-08 04:17:47.000000000 +0000
@@ -1,3 +1,3 @@
-#!/bin/sh -- 
+#!/bin/sh --
 
 jar tf "$1" META-INF/MANIFEST.MF | grep META-INF/MANIFEST.MF >/dev/null
diff -pruN 0.75/java-arch.sh 0.77/java-arch.sh
--- 0.75/java-arch.sh	2020-07-09 04:13:05.000000000 +0000
+++ 0.77/java-arch.sh	2020-09-08 04:17:47.000000000 +0000
@@ -1,16 +1,16 @@
 #!/bin/sh --
 
 if [ "-h" = "$1" ] || [ "--help" = "$1" ]; then
-	echo "Usage: java-arch.sh [debian arch name]"
-	echo "Returns the equivelent name used by the JDK for that arch"
-	echo "or the debian build arch if not specified"
-	exit 0
+    echo "Usage: java-arch.sh [debian arch name]"
+    echo "Returns the equivelent name used by the JDK for that arch"
+    echo "or the debian build arch if not specified"
+    exit 0
 fi
 
 if [ -z "$1" ]; then
-	DPKG_ARCH=`dpkg --print-architecture`
+    DPKG_ARCH=`dpkg --print-architecture`
 else
-	DPKG_ARCH="$1"
+    DPKG_ARCH="$1"
 fi
 
 case $DPKG_ARCH in
diff -pruN 0.75/java-propose-classpath.1 0.77/java-propose-classpath.1
--- 0.75/java-propose-classpath.1	2020-07-09 04:13:05.000000000 +0000
+++ 0.77/java-propose-classpath.1	2020-09-08 04:17:47.000000000 +0000
@@ -1,7 +1,7 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH JAVAHELPER "1" "January 2008" "Javahelper Version 0.5" "User Commands"
 .SH NAME
-Javahelper \- Part of the Java Helper packaging tools. 
+Javahelper \- Part of the Java Helper packaging tools.
 Refer to the tutorials in /usr/share/doc/javahelper for more detail
 .SH SYNOPSIS
 .B java-propose-classpath
diff -pruN 0.75/jh_build 0.77/jh_build
--- 0.75/jh_build	2020-07-09 04:13:05.000000000 +0000
+++ 0.77/jh_build	2020-09-08 04:17:47.000000000 +0000
@@ -63,7 +63,7 @@ Use I<home> as B<JAVA_HOME> (overrides t
 Whether or not to build javadoc for the jar files.  The default is to
 generate javadoc along with the jar files.
 
-=item B<-o> I<options>, B<--javacopts=>I<options>
+=item B<--javacopts=>I<options>
 
 Pass I<options> to javac (when invoking javac).  The I<options> value
 is a space-separate list of options (remember to quote the argument to avoid the shell
@@ -136,7 +136,7 @@ init(options => {
 	'no-javadoc' => sub { $build_javadoc = 0; },
 	'clean' => \$do_clean,
 	# Space-separated list of options
-	'javacopts|o=s' => sub { @javac_opts = split(' ', $_[1])},
+	'javacopts=s' => sub { @javac_opts = split(' ', $_[1])},
 	'javadoc-opts=s' => sub { @javadoc_opts = split(' ', $_[1])},
 });
 
diff -pruN 0.75/jh_clean 0.77/jh_clean
--- 0.75/jh_clean	2020-07-09 04:13:05.000000000 +0000
+++ 0.77/jh_clean	2020-09-08 04:17:47.000000000 +0000
@@ -4,6 +4,6 @@ jh_build --clean "$@"
 jh_linkjars --unlink
 jh_setupenvironment --clean
 if [ -f "debian/.javahelper_clean" ]; then
-	rm -f `cat debian/.javahelper_clean` debian/.javahelper_clean
+    rm -f `cat debian/.javahelper_clean` debian/.javahelper_clean
 fi
 
diff -pruN 0.75/jh_compilefeatures 0.77/jh_compilefeatures
--- 0.75/jh_compilefeatures	2020-07-09 04:13:05.000000000 +0000
+++ 0.77/jh_compilefeatures	2020-09-08 04:17:47.000000000 +0000
@@ -31,7 +31,7 @@ subject to the compat level (e.g. when p
 When specifying the dependencies for a feature, jh_compilefeatures will
 see if this feature has just been compiled and will use the dependency
 if it is among the results. This can be used together with
-debian/eclipse.features. 
+debian/eclipse.features.
 
 Dependencies are always resolved by first checking if it is a recently
 built feature and if not, then the system installed eclipse's dropins
diff -pruN 0.75/jh_depends 0.77/jh_depends
--- 0.75/jh_depends	2020-07-09 04:13:05.000000000 +0000
+++ 0.77/jh_depends	2020-09-08 04:17:47.000000000 +0000
@@ -32,67 +32,67 @@ syntax()
 # returns the max of <current> and <all the classes under the path>
 getclassversion()
 {
-	current=$1
-	classes="$2"
-	for i in `find "$classes" -name "*.class"`; do
-		new=$(hexdump -n 1 -s 7 -e '/1 "%u"' "$i")
-		if (( $current < $new )); then
-			current=$new
-		fi
-	done
-	echo $current
+   current=$1
+   classes="$2"
+   for i in `find "$classes" -name "*.class"`; do
+      new=$(hexdump -n 1 -s 7 -e '/1 "%u"' "$i")
+      if (( $current < $new )); then
+         current=$new
+      fi
+   done
+   echo $current
 }
 
 # getalternatedepends <version>
 getalternatedepends()
 {
-	if (( $1 < 50 )); then
-		echo "| java5-runtime$2 | java6-runtime$2 | java7-runtime$2 | java8-runtime$2 | java9-runtime$2 | java10-runtime$2 | java11-runtime$2"
-	elif [ "$1" == "50" ]; then
-		echo "| java6-runtime$2 | java7-runtime$2 | java8-runtime$2 | java9-runtime$2 | java10-runtime$2 | java11-runtime$2"
-	elif [ "$1" == "51" ]; then
-		echo "| java7-runtime$2 | java8-runtime$2 | java9-runtime$2 | java10-runtime$2 | java11-runtime$2"
-	elif [ "$1" == "52" ]; then
-		echo "| java8-runtime$2 | java9-runtime$2 | java10-runtime$2 | java11-runtime$2"
-	elif [ "$1" == "53" ]; then
-		echo "| java9-runtime$2 | java10-runtime$2 | java11-runtime$2"
-	elif [ "$1" == "54" ]; then
-		echo "| java10-runtime$2 | java11-runtime$2"
-	elif [ "$1" == "55" ]; then
-		echo "| java11-runtime$2"
-	else
-		echo "Warning: Class version too new to recognise ($1), might not run with any JVMs" 1>&2
-	fi
+   if (( $1 < 50 )); then
+      echo "| java5-runtime$2 | java6-runtime$2 | java7-runtime$2 | java8-runtime$2 | java9-runtime$2 | java10-runtime$2 | java11-runtime$2"
+   elif [ "$1" == "50" ]; then
+      echo "| java6-runtime$2 | java7-runtime$2 | java8-runtime$2 | java9-runtime$2 | java10-runtime$2 | java11-runtime$2"
+   elif [ "$1" == "51" ]; then
+      echo "| java7-runtime$2 | java8-runtime$2 | java9-runtime$2 | java10-runtime$2 | java11-runtime$2"
+   elif [ "$1" == "52" ]; then
+      echo "| java8-runtime$2 | java9-runtime$2 | java10-runtime$2 | java11-runtime$2"
+   elif [ "$1" == "53" ]; then
+      echo "| java9-runtime$2 | java10-runtime$2 | java11-runtime$2"
+   elif [ "$1" == "54" ]; then
+      echo "| java10-runtime$2 | java11-runtime$2"
+   elif [ "$1" == "55" ]; then
+      echo "| java11-runtime$2"
+   else
+      echo "Warning: Class version too new to recognise ($1), might not run with any JVMs" 1>&2
+   fi
 }
 
 function home-to-jvm()
 {
-	JHOME="$1"
-	if echo $JHOME | grep headless >/dev/null; then
-		JVM="$JVM headless"
-	fi
-	if echo $JHOME | grep default >/dev/null; then
-		JVM="$JVM default"
-	fi
-	if echo $JHOME | grep 6-openjdk >/dev/null; then
-		JVM="$JVM open6"
-	fi
-	if echo $JHOME | grep 7-openjdk >/dev/null; then
-		JVM="$JVM open7"
-	fi
-	if echo $JHOME | grep 8-openjdk >/dev/null; then
-		JVM="$JVM open8"
-	fi
-	if echo $JHOME | grep 9-openjdk >/dev/null; then
-		JVM="$JVM open9"
-	fi
-	if echo $JHOME | grep 10-openjdk >/dev/null; then
-		JVM="$JVM open10"
-	fi
-	if echo $JHOME | grep 11-openjdk >/dev/null; then
-		JVM="$JVM open11"
-	fi
-	echo "$JVM"
+   JHOME="$1"
+   if echo $JHOME | grep headless >/dev/null; then
+      JVM="$JVM headless"
+   fi
+   if echo $JHOME | grep default >/dev/null; then
+      JVM="$JVM default"
+   fi
+   if echo $JHOME | grep 6-openjdk >/dev/null; then
+      JVM="$JVM open6"
+   fi
+   if echo $JHOME | grep 7-openjdk >/dev/null; then
+      JVM="$JVM open7"
+   fi
+   if echo $JHOME | grep 8-openjdk >/dev/null; then
+      JVM="$JVM open8"
+   fi
+   if echo $JHOME | grep 9-openjdk >/dev/null; then
+      JVM="$JVM open9"
+   fi
+   if echo $JHOME | grep 10-openjdk >/dev/null; then
+      JVM="$JVM open10"
+   fi
+   if echo $JHOME | grep 11-openjdk >/dev/null; then
+      JVM="$JVM open11"
+   fi
+   echo "$JVM"
 }
 
 ARGS="X exclude p package P tmpdir v verbose i indep a arch s same-arch n no-act j jvm" parseargs "$@"
@@ -144,7 +144,7 @@ for p in $PACKAGES; do
          WRAPPER="true"
       fi
       jar xf "$i"
-		classversion=`getclassversion $classversion .`
+        classversion=`getclassversion $classversion .`
       JARDEPS="$JARDEPS `extractline META-INF/MANIFEST.MF Class-Path`"
       if grep ^Main-Class META-INF/MANIFEST.MF >/dev/null; then
          JHOME="`extractline META-INF/MANIFEST.MF Debian-Java-Home`"
@@ -211,7 +211,7 @@ for p in $PACKAGES; do
       DEBDEPS="jarwrapper (>=0.5) $DEBDEPS"
    fi
    JVMDEPS=
-   if [ -n "`getarg j jvm`" ] && [ -z "$JVM" ]; then
+   if [ -n "`getarg j jvm`" ]; then
       JVM="`getarg j jvm`"
    fi
 
@@ -231,7 +231,7 @@ for p in $PACKAGES; do
          [ -z "`echo $JVM | sed s/\s*//g`" ] && JVM="default"
       fi
       for j in $JVM; do
-	 alternateversiondeps=`getalternatedepends $classversion $headless`
+         alternateversiondeps=`getalternatedepends $classversion $headless`
          if [ -n "$JVMDEPS" ]; then
             JVMDEPS="$JVMDEPS |"
          fi
@@ -274,11 +274,11 @@ for p in $PACKAGES; do
    # Do not rely on the presence of /usr/share/doc, it might have been removed already and
    # it is a policy voliation to do so. #632620
    if [ -d "$PACKAGEDIR/usr/share/doc" ] ; then
-       API=`find "$PACKAGEDIR/usr/share/doc" -type f -name 'package-list' -exec dirname {} \;`
-       DOC_REC=`/usr/share/javahelper/jh_scanjavadoc $API`
+      API=`find "$PACKAGEDIR/usr/share/doc" -type f -name 'package-list' -exec dirname {} \;`
+      DOC_REC=`/usr/share/javahelper/jh_scanjavadoc $API`
    else
-       API=''
-       DOC_REC=''
+      API=''
+      DOC_REC=''
    fi
 
    if [ -n "$VERBOSE" ]; then
diff -pruN 0.75/jh_lib.sh.in 0.77/jh_lib.sh.in
--- 0.75/jh_lib.sh.in	2020-07-09 04:13:05.000000000 +0000
+++ 0.77/jh_lib.sh.in	2020-09-08 04:17:47.000000000 +0000
@@ -97,7 +97,7 @@ findpackages()
 }
 
 firstpackage()
-{ 
+{
    findpackages | head -n1
 }
 
diff -pruN 0.75/jh_makepkg 0.77/jh_makepkg
--- 0.75/jh_makepkg	2020-07-09 04:13:05.000000000 +0000
+++ 0.77/jh_makepkg	2020-09-08 04:17:47.000000000 +0000
@@ -86,7 +86,7 @@ if [ ! -f ../${PACKAGE}_${VERSION}.orig.
    fi
 
    echo "Creating package $PACKAGE version $VERSION."
-   echo 
+   echo
    echo "Building from source in $BUILDDIR"
 
    cd ..
@@ -327,8 +327,8 @@ Description: Short Description
 END
 
 if [ "$TYPE" = "lib" ] ; then
-    # add doc package template
-    cat >> debian/control <<END
+   # add doc package template
+   cat >> debian/control <<END
 
 Package: $BINPACKAGE-doc
 Architecture: all
@@ -376,18 +376,19 @@ export JAVA_HOME=${JAVA_HOME}
 # export CLASSPATH=
 
 %:
-	dh \$@ --with javahelper
+    dh \$@ --with javahelper
 
 END
-      case $BUILD in
-         "ant")
-         ;;
-         "make")
-         ;;
-         "byhand")
-		echo ${SRCPACKAGE}.jar src > debian/javabuild
-         ;;
-      esac
+
+case $BUILD in
+   "ant")
+   ;;
+   "make")
+   ;;
+   "byhand")
+      echo ${SRCPACKAGE}.jar src > debian/javabuild
+   ;;
+esac
 
 case $TYPE in
    "app")
@@ -402,9 +403,9 @@ END
    "lib")
       echo "$SRCPACKAGE.jar" > debian/$BINPACKAGE.jlibs
       if [ "$BUILD" = "byhand" ]; then
-	  echo "internal" > debian/$BINPACKAGE-doc.javadoc
+          echo "internal" > debian/$BINPACKAGE-doc.javadoc
       else
-	  echo "<javadoc build dir here>" > debian/$BINPACKAGE-doc.javadoc
+          echo "<javadoc build dir here>" > debian/$BINPACKAGE-doc.javadoc
       fi
    ;;
 esac
diff -pruN 0.75/jh_manifest 0.77/jh_manifest
--- 0.75/jh_manifest	2020-07-09 04:13:05.000000000 +0000
+++ 0.77/jh_manifest	2020-09-08 04:17:47.000000000 +0000
@@ -75,7 +75,7 @@ the given jar file do not have a Class-P
 
 Sets the Main-Class attribute to I<class> in all processed jar files.
 
-=item B<-o> I<options>, B<--javaopts=>I<options>
+=item B<--javaopts=>I<options>
 
 Sets the Debian-Java-Parameters to I<options> in all processed jar
 files. This attribute is used by jarwrapper to start java with extra
@@ -98,8 +98,7 @@ my $jopt = '';
 my $envcp = 0;
 
 init(options => {
-    # -o clashes debhelper's "only scripts"
-    'javaopts|o=s' => \$jopt,
+    'javaopts=s' => \$jopt,
     'java-home|j=s' => \$jvm,
     'main|m=s' => \$mcl,
     'classpath|c=s' => \$cp,
diff -pruN 0.75/jh_repack 0.77/jh_repack
--- 0.75/jh_repack	2020-07-09 04:13:05.000000000 +0000
+++ 0.77/jh_repack	2020-09-08 04:17:47.000000000 +0000
@@ -20,8 +20,8 @@ ARGS="upstream-version v verbose n no-ac
 VERBOSE="`getarg v verbose`"
 
 if [ "$ARGC" != "2" ] ; then
-	syntax
-	exit 1
+    syntax
+    exit 1
 fi
 
 VERSION=${ARGV[0]}
@@ -32,16 +32,16 @@ TMPDIR=`mktemp -d`
 cd "$TMPDIR"
 
 if [ -n "$VERBOSE" ]; then
-	echo "Repacking tarball $TARBALL"
+    echo "Repacking tarball $TARBALL"
 fi
 if [ -n "`getarg n no-act`" ]; then
-	echo "Would repack $TARBALL"
-	exit 0
+    echo "Would repack $TARBALL"
+    exit 0
 fi
 
 if grep tar.gz$ <<< $TARBALL &>/dev/null; then
-	TYPE=gzip
-	tar zxf "$TARBALL"
+    TYPE=gzip
+    tar zxf "$TARBALL"
 elif grep tar.bz2$ <<< $TARBALL &>/dev/null; then
 	TYPE=bzip2
 	tar jxf "$TARBALL"
@@ -49,16 +49,16 @@ elif grep tar.xz$ <<< $TARBALL &>/dev/nu
 	TYPE=xz
 	tar Jxf "$TARBALL"
 elif grep zip$ <<< $TARBALL &>/dev/null; then
-	TYPE=zip
-	unzip -qq "$TARBALL"
+    TYPE=zip
+    unzip -qq "$TARBALL"
 else
 	echo "Do not know how to unpack $TARBALL (expecting tar.gz, tar.bz2, tar.xz or zip)"
 fi
 
 SUBDIR=
 if [ "`ls -1 | wc -l`" = "1" ]; then
-	cd *
-	SUBDIR=true
+    cd *
+    SUBDIR=true
 fi
 
 find . -name '*.class' -a -type f -print0 | xargs -0 rm -f
@@ -73,15 +73,15 @@ done
 find * -depth -type d -print0 | xargs -0 rmdir --ignore-fail-on-non-empty
 
 if [ -n "$SUBDIR" ]; then
-	cd ..
+    cd ..
 fi
 
 rm -f "$TARBALL"
 
 case "$TYPE" in
 gzip)
-	tar zcf "$TARBALL" *
-	;;
+    tar zcf "$TARBALL" *
+    ;;
 bzip2)
 	tar jcf "$TARBALL" *
 	;;
@@ -89,13 +89,13 @@ xz)
 	tar Jcf "$TARBALL" *
 	;;
 zip)
-	tar zcf "${TARBALL%.zip}.tar.gz" *
-	;;
+    tar zcf "${TARBALL%.zip}.tar.gz" *
+    ;;
 esac
 
 cd /
 rm -rf "$TMPDIR"
 
 if [ -n "$VERBOSE" ]; then
-	echo "done"
+    echo "done"
 fi
diff -pruN 0.75/tutorial.txt 0.77/tutorial.txt
--- 0.75/tutorial.txt	2020-07-09 04:13:05.000000000 +0000
+++ 0.77/tutorial.txt	2020-09-08 04:17:47.000000000 +0000
@@ -331,7 +331,7 @@ information).
 
 java-vars.mk
 ------------
-	
+
 You can include /usr/share/javahelper/java-vars.mk in your
 debian/rules to get the following variables defined:
 
@@ -341,7 +341,7 @@ debian/rules to get the following variab
    the architecture (you must depend on default-jdk or -headless if
    you are not overriding this).  To override this set `JAVA_HOME`
    _before_ including java-vars.mk
-	
+
  * `JAVA_ARCH`
 
    The JVM version of the build architecture (eg ppc not powerpc)
@@ -349,7 +349,7 @@ debian/rules to get the following variab
  * `JRE_HOME`
 
    If `$JAVA_HOME/jre` exists then that, otherwise `$JAVA_HOME`
-	
+
  * `JVM_CLIENT_DIR` and `JVM_SERVER_DIR`
 
    Set if the respective types of JVM are installed.
@@ -422,7 +422,7 @@ debian/control
     Build-Depends: debhelper (>= 7), javahelper, default-jdk, libzlib-java
     Standards-Version: 3.9.1
     Homepage: http://www.jcraft.com/jsch/
-    
+
     Package: libjsch-java
     Architecture: all
     Depends: ${java:Depends}, ${misc:Depends}
@@ -437,10 +437,10 @@ debian/control
 debian/rules
 
     #!/usr/bin/make -f
-    
+
     export JAVA_HOME=/usr/lib/jvm/default-java
     export CLASSPATH=/usr/share/java/zlib.jar
-    
+
     build: build-stamp
     build-stamp:
         dh_testdir
@@ -453,13 +453,13 @@ debian/rules
         jh_build --clean
         dh_clean
         rm -f build-stamp jsch.jar
-    
+
     install: build
         dh_testdir
         dh_testroot
         dh_prep
         dh_installdirs
-    
+
     binary-arch: build install
         # Java packages are arch: all, nothing to do here
 
@@ -480,7 +480,7 @@ debian/rules
         dh_gencontrol -i
         dh_md5sums -i
         dh_builddeb -i
-    
+
     binary: binary-indep binary-arch
     .PHONY: build clean binary-indep binary-arch binary install
 
@@ -506,7 +506,7 @@ debian/control
                    libmatthew-debug-java, libcsv-java,
                    libitext-java, javahelper
     Standards-Version: 3.9.1
-    
+
     Package: salliere
     Architecture: all
     Depends: ${java:Depends}, ${misc:Depends}
@@ -519,27 +519,27 @@ debian/rules
     #!/usr/bin/make -f
     export JAVA_HOME=/usr/lib/jvm/default-java
     export CLASSPATH=/usr/share/java/csv.jar:/usr/share/java/debug-disable.jar:/usr/share/java/itext.jar
-    
+
     build: build-stamp
     build-stamp:
         dh_testdir
         # Build the package
         jh_build salliere.jar src
         touch $@
-    
+
     clean:
         dh_testdir
         dh_testroot
         rm -f build-stamp salliere.jar
         jh_build --clean
         dh_clean
-    
+
     install: build
         dh_testdir
         dh_testroot
         dh_prep
         dh_installdirs
-    
+
     binary-arch: build install
         # Java packages are arch: all, nothing to do here
 
@@ -561,7 +561,7 @@ debian/rules
         dh_gencontrol -i
         dh_md5sums -i
         dh_builddeb -i
-    
+
     binary: binary-indep binary-arch
     .PHONY: build clean binary-indep binary-arch binary install
 
@@ -573,7 +573,7 @@ debian/salliere.install
 
 debian/salliere.links
 
-    usr/share/salliere/salliere.jar usr/bin
+    usr/share/salliere/salliere.jar usr/bin/salliere.jar
 
 Using javahelper with CDBS
 --------------------------
@@ -600,7 +600,7 @@ The above debian/rules can be rewritten
     export CLASSPATH=/usr/share/java/csv.jar:/usr/share/java/debug-disable.jar:/usr/share/java/itext.jar
     JH_BUILD_JAR=salliere.jar
     JH_BUILD_SRC=src
-    
+
     include /usr/share/cdbs/1/class/javahelper.mk
 
 Using javahelper with dh
@@ -619,9 +619,9 @@ debian/javabuild
 debian/rules
 
     #!/usr/bin/make -f
-    
+
     export JAVA_HOME=/usr/lib/jvm/default-java
     export CLASSPATH=/usr/share/java/csv.jar:/usr/share/java/debug-disable.jar:/usr/share/java/itext.jar
-    
+
     %:
         dh $@ --with javahelper
